
Summary:	Download manager using GTK+ and libcurl
Summary(de):	Downloadmanager der GTK+ und libcurl nutzt
Name:		uget
Version:	2.1.6
Release:	%mkrel 1
Group:		Networking/WWW
License:	LGPLv2+
URL:		http://urlget.sourceforge.net/
Source0:	http://downloads.sourceforge.net/urlget/%{name}-%{version}.tar.xz
Patch0:		uget-2.0.4-banner.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#----------------------------------------------------
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
#----------------------------------------------------


Obsoletes:  	%name < %version

%description
Uget is a download manager that allows you to import downloads from HTML files 
and classify them by categories. Every category has an independent configuration 
that can be inherited by each download in that category.

%description -l de
Download-Manager mithilfe von GTK und Libcurl. Uget ist ein Download-Manager,
der Ihnen ermöglicht, Downloads von HTML Dateien zu importieren und diese in
Kategorien zu klassifizieren. Jede Kategorie hat eine unabhängige Konfiguration,
die von jedem Download in dieser Kategorie geerbt werden kann. 


%prep
%setup -q
%apply_patches

%build
%configure2_5x

%make 

%install
rm -rf %buildroot
%makeinstall_std 
	
desktop-file-install --vendor="" \
        --add-category="X-MandrivaLinux-Internet-FileTransfer"\
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%{name}-gtk.desktop

# fix menu icon
mkdir -p %buildroot%{_datadir}/pixmaps
install -m 644 pixmaps/icons/hicolor/48x48/apps/%{name}-icon.png %buildroot%{_datadir}/pixmaps/%{name}-icon.png

rm -f %buildroot%{_datadir}/icons/hicolor/index.theme

%find_lang %{name}

%clean
rm -rf %buildroot


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/%{name}-gtk
%{_bindir}/uget-gtk-1to2
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/sounds/%{name}/*.wav
%{_datadir}/locale/*
%{_datadir}/pixmaps/uget/logo.png


%changelog
* Sat Sep 09 2017 adrianomorselli <adrianomorselli> 2.1.6-1uplos2017
- update
